clarify
[ikiwiki.git] / debian / NEWS
1 ikiwiki (3.1415926) unstable; urgency=low
2
3   In order to fix a performance bug, all wikis need to be rebuilt on
4   upgrade to this version. If you listed your wiki in
5   /etc/ikiwiki/wikilist this will be done automatically when the
6   Debian package is upgraded. Or use ikiwiki-mass-rebuild to force
7   a rebuild.
8
9  -- Joey Hess <joeyh@debian.org>  Tue, 25 Aug 2009 17:24:43 -0400
10
11 ikiwiki (3.13) unstable; urgency=low
12
13   The `ikiwiki-transition deduplinks` command introduced in the
14   last release was buggy. If you followed the NEWS file instructions
15   and ran it, you should run `ikiwiki -setup` to rebuild your wiki
16   to fix the problem.
17
18  -- Joey Hess <joeyh@debian.org>  Fri, 22 May 2009 13:04:02 -0400
19
20 ikiwiki (3.12) unstable; urgency=low
21
22   You may want to run `ikiwiki-transition deduplinks your.setup`
23   after upgrading to this version of ikiwiki. This command will
24   optimise your wiki's saved state, removing duplicate information
25   that can slow ikiwiki down.
26
27  -- Joey Hess <joeyh@debian.org>  Wed, 06 May 2009 00:25:06 -0400
28
29 ikiwiki (3.01) unstable; urgency=low
30
31   If your wiki uses git, and you have a `diffurl` configured in
32   its setup file, you should be aware that gitweb has stopped
33   supporting the url form commonly used for the `diffurl`.
34
35   You can change your setup to use the newer gitweb url form:
36
37     http://git.example.com/gitweb.cgi?p=wiki.git;a=blobdiff;f=[[file]];h=[[sha1_to]];hp=[[sha1_from]];hb=[[sha1_commit]];hpb=[[sha1_parent]]
38
39   The changes from the old form are the addition of the `hpb` parameter,
40   and the change to the value used for the `hb` parameter.
41
42  -- Joey Hess <joeyh@debian.org>  Mon, 05 Jan 2009 18:18:05 -0500
43
44 ikiwiki (3.00) unstable; urgency=low
45
46   The 3.0 release of ikiwiki changes several defaults and finishes
47   some transitions. You will need to modify your wikis to work with
48   ikiwiki 3.0. A document explaining the process is available
49   in </usr/share/doc/ikiwiki/html/tips/upgrade_to_3.0.html>
50
51  -- Joey Hess <joeyh@debian.org>  Tue, 23 Dec 2008 16:14:18 -0500
52
53 ikiwiki (2.62) unstable; urgency=low
54
55   TexImg standard preamble changed
56
57   The teximg plugin now has a configurable LaTeX preamble.
58   As part of this change the `mchem` LaTeX package has been removed from
59   the default LaTeX preamble as it wasn't included in many TeX installations.
60
61   The previous behaviour can be restored by adding the following to your
62   ikiwiki setup:
63
64         teximg_prefix => '\documentclass{scrartcl}
65                 \usepackage[version=3]{mhchem}
66                 \usepackage{amsmath}
67                 \usepackage{amsfonts}
68                 \usepackage{amssymb}
69                 \pagestyle{empty}
70                 \begin{document}',
71
72   In addition, the rendering mechanism has been changed to use `dvipng` by
73   default, if available.
74
75  -- Joey Hess <joeyh@debian.org>  Sun, 24 Aug 2008 15:00:40 -0400
76
77 ikiwiki (2.60) unstable; urgency=low
78
79   Admin preferences are moving from the web interface to the setup file.
80   There are three new options in the setup file: `locked_pages`, `banned_users`,
81   and `allowed_attachments`. The admin prefs page can still be used, but
82   that's deprecated, and the prefs will be hidden if a value is not already
83   set. If a value is set in the web interface, you're encouraged to move that
84   setting to your setup file now, since version 3.0 will remove the deprecated
85   admin prefs web interface.
86
87   Also, the layout of the setup file has changed in a significant way in this
88   release. Old setup files will continue to work, but new features, like the
89   new websetup interface, require a new format setup file. You can convert
90   old setup files into the new format by running 
91   `ikiwiki-transition setupformat ikiwiki.setup`
92
93  -- Joey Hess <joeyh@debian.org>  Fri, 01 Aug 2008 17:02:14 -0400
94
95 ikiwiki (2.52) unstable; urgency=low
96
97   All wikis need to be rebuilt on upgrade to this version. If you listed your
98   wiki in /etc/ikiwiki/wikilist this will be done automatically when the
99   Debian package is upgraded. Or use ikiwiki-mass-rebuild to force a rebuild.
100
101  -- Joey Hess <joeyh@debian.org>  Sun, 06 Jul 2008 15:10:05 -0400
102
103 ikiwiki (2.49) unstable; urgency=low
104
105   The search plugin no longer uses hyperestraier. Instead, to use it you
106   will now need to install xapian-omega, and the Search::Xapian,
107   HTML::Scrubber, and Digest::SHA1 perl modules. Ie,
108   `apt-get install xapian-omega libsearch-xapian-perl libhtml-scrubber-perl libdigest-sha1-perl`
109
110   Also, wikis that use the search plugin will need to be rebuilt,
111   since the search form has changed. This will not be done automatically,
112   but can be done by running `ikiwiki-mass-upgrade` as root, or
113   running `ikiwiki -setup` on individual setup files.
114
115  -- Joey Hess <joeyh@debian.org>  Wed, 04 Jun 2008 00:29:28 -0400
116
117 ikiwiki (2.48) unstable; urgency=high
118
119   If you allowed password based logins to your wiki, those passwords were
120   stored in cleartext in the userdb. To guard against exposing users'
121   passwords, I recommend you install the Authen::Passphrase perl module, and
122   then run `ikiwiki-transition hashpassword /path/to/srcdir` to replace all
123   existing cleartext passwords with strong (blowfish) hashes.
124
125  -- Joey Hess <joeyh@debian.org>  Thu, 29 May 2008 14:39:34 -0400
126
127 ikiwiki (2.46) unstable; urgency=low
128  
129   There were some significant template changes in ikiwiki 2.42 (and 1.33.5).
130   If you have locally modified versions of the templates, they need to be
131   updated. Most notably, the editpage.tmpl has a new FIELD-SID added to it,
132   without which web editing will fail.
133  
134  -- Joey Hess <joeyh@debian.org>  Tue, 06 May 2008 14:30:14 -0400
135
136 ikiwiki (2.40) unstable; urgency=low
137
138   ikiwiki now has an new syntax for preprocessor directives, using the
139   prefix '!':
140
141   [[!directive ...]]
142
143   This new syntax no longer relies on spaces to distinguish between
144   wikilinks and preprocessor directives.  Thus, wikilinks can use spaces
145   in their link text, and preprocessor directives without arguments (such
146   as "toc") need not use a trailing space.
147
148   To enable the new syntax, set prefix_directives to true in your ikiwiki
149   config.  For backward compatibility with existing wikis,
150   prefix_directives currently defaults to false.  In ikiwiki 3.0,
151   prefix_directives will default to true, and wikis which have not yet
152   converted to the new syntax will need to set prefix_directives to false
153   in their setup files.
154
155   To convert your wiki to the new syntax, ikiwiki provides a new script
156   ikiwiki-transition.
157
158   Even with prefix_directives disabled, ikiwiki now allows an optional '!'
159   prefix on preprocessor directives (but still requires a space).  Thus, a
160   directive which uses a '!' prefix and contains a space will work with
161   ikiwiki 2.40 and newer, regardless of the value of prefix_directives.
162   This allows the underlay to work with all ikiwikis.
163
164  -- Josh Triplett <josh@freedesktop.org>  Sat, 26 Jan 2008 16:26:47 -0800
165
166 ikiwiki (2.30) unstable; urgency=low
167
168   Ever feel that ikiwiki's handling of RecentChanges wasn't truely in the
169   spirit of a wiki compiler? Well, that's changed. The RecentChanges page is
170   now a static page, not a CGI. Users can subscribe to its rss/atom feeds.
171   Custom RecentChanges pages can be easily set up that display only changes
172   to a subset of pages, or only changes by a subset of users.
173   
174   All wikis need to be rebuilt on upgrade to this version. If you listed your
175   wiki in /etc/ikiwiki/wikilist this will be done automatically when the
176   Debian package is upgraded. Or use ikiwiki-mass-rebuild to force a rebuild.
177
178   With this excellent new RecentChanges support, the mail notification system
179   is its age (and known to be variously buggy and underimplemented for
180   various VCSes), and so ikiwiki's support for sending commit mails is REMOVED
181   from this version. If you were subscribed to commit mails, you should be
182   able to accomplish the same thing by subscribing to a RecentChanges feed.
183
184   The "notify" field in setup files is no longer used, and
185   silently ignored. You may want to remove it from your setup file.
186
187  -- Joey Hess <joeyh@debian.org>  Tue, 29 Jan 2008 17:18:31 -0500
188
189 ikiwiki (2.20) unstable; urgency=low
190
191   The template plugin has begin to htmlize the variables passed to templates.
192   This is normally what you want, but to get the old behavior and get at the
193   raw value, you can use `<TMPL_VAR raw_variable>` in a template.
194  
195  -- Joey Hess <joeyh@debian.org>  Sat, 08 Dec 2007 16:04:43 -0500
196
197 ikiwiki (2.16) unstable; urgency=low
198
199   Many of the pages in ikiwiki's basewiki have been moved and renamed in this
200   release, to avoid the basewiki including pages with names like "blog".
201   Redirection pages have been left behind for these moved pages temporarily,
202   and will be removed later.
203
204   If you use the calendar plugin, ikiwiki is now smarter and your nightly
205   cron job to update the wiki doesn't need to rebuild everything. Just pass
206   --refresh to ikiwiki in the cron job and it will update only pages that
207   contain out of date calendars.
208
209  -- Joey Hess <joeyh@debian.org>  Sat, 08 Dec 2007 16:04:43 -0500
210
211 ikiwiki (2.14) unstable; urgency=low
212
213   This version of ikiwiki is more picky about symlinks in the path leading
214   to the srcdir, and will refuse to use a srcdir specified by such a path.
215   This was necessary to avoid some potential exploits, but could potentially
216   break (semi-)working wikis. If your wiki has a srcdir path containing a
217   symlink, you should change it to use a path that does not.
218
219  -- Joey Hess <joeyh@debian.org>  Mon, 26 Nov 2007 14:57:57 -0500
220
221 ikiwiki (2.9) unstable; urgency=low
222
223   Since ikiwiki 2.0 was released, some limitiations have been added to what
224   ikiwiki considers a WikiLink. In short, if there are any spaces in between
225   the brackets, ikiwiki no longer considers it to be a WikiLink. If your wiki
226   contains things meant to be WikiLinks that contain spaces, you will need to
227   fix them, by replacing the spaces with underscores.
228   
229   WikiLink have always been documented to not contain spaces, but bugs in
230   ikiwiki made it treat some text with spaces as WikiLinks. Most of these
231   bugs were fixed in version 2.2, and a final bug was fixed in this 2.9
232   release. These fixes are necessary to avoid ambiguity between
233   WikiLinks and PreProcessorDirectives. Apologies for any inconvenience
234   these bugs (and their fixes) may have caused.
235
236  -- Joey Hess <joeyh@debian.org>  Sat, 29 Sep 2007 14:37:18 -0400
237
238 ikiwiki (2.6) unstable; urgency=low
239
240   In this version the rst plugin allows raw html to be embedded in rst files.
241   As long as the htmlscrubber is enabled, this should be safe. If you are
242   using the rst plugin without the htmlscrubber in a publically writable wiki,
243   you should turn on the htmlscrubber.
244
245  -- Joey Hess <joeyh@debian.org>  Sun, 29 Jul 2007 18:37:22 -0400
246
247 ikiwiki (2.5) unstable; urgency=low
248
249   Due to some config changes in this version, wrappers need to be rebuilt on
250   upgrade. If you listed your wiki in /etc/ikiwiki/wikilist this will be
251   one automatically when the Debian package is upgraded.
252
253  -- Joey Hess <joeyh@debian.org>  Sun, 29 Jul 2007 17:54:40 -0400
254
255 ikiwiki (2.1) unstable; urgency=low
256
257   Some wikis need to be rebuilt on upgrade to this version, due to changes to
258   page templates and the style sheet. If you listed your wiki in
259   /etc/ikiwiki/wikilist this will be done automatically when the Debian
260   package is upgraded. Or use ikiwiki-mass-rebuild to force a rebuild.
261
262  -- Joey Hess <joeyh@debian.org>  Thu, 26 Apr 2007 15:50:36 -0400
263
264 ikiwiki (2.00) unstable; urgency=low
265
266   With the 2.0 release of ikiwiki, some major changes have been made to the
267   default configuration:
268
269   * The 'usedirs' setting is enabled by default. This *will* break all URLs
270     to wikis that did not have 'usedirs' turned on before, unless you follow
271     the procedure described at <http://ikiwiki.info/tips/switching_to_usedirs>,
272     or edit your setup file to turn usedirs off:
273        usedirs => 0,
274
275   * OpenID logins are now enabled by default, if the Net::OpenID::Consumer
276     perl module is available. Password logins are also still enabled
277     by default. If you like, you can turn either OpenID or password logins
278     off via the 'disable_plugins' setting.
279
280  -- Joey Hess <joeyh@debian.org>  Sun, 29 Apr 2007 19:00:43 -0400
281
282 ikiwiki (1.51) unstable; urgency=low
283
284   Some wikis need to be rebuilt on upgrade to this version, due to changes to
285   page layout and the style sheet. If you listed your wiki in
286   /etc/ikiwiki/wikilist this will be done automatically when the Debian
287   package is upgraded. Or use ikiwiki-mass-rebuild to force a rebuild.
288
289  -- Joey Hess <joeyh@debian.org>  Thu, 26 Apr 2007 15:50:36 -0400
290
291 ikiwiki (1.50) unstable; urgency=low
292
293   Permalinks and guids in rss and atom feeds for wikis using the usedirs
294   options will change in this release. If you have already enabled usedirs,
295   you may need to take steps to avoid flooding aggregators.
296
297  -- Joey Hess <joeyh@debian.org>  Sat, 14 Apr 2007 16:08:46 -0400
298
299 ikiwiki (1.49) unstable; urgency=low
300
301   Third-party plugins that use htmlpage() or abs2rel() to generate links
302   may need changes to support the new "usedirs" option.
303
304  -- Joey Hess <joeyh@debian.org>  Sun, 01 Apr 2007 16:20:09 -0400
305
306 ikiwiki (1.47) unstable; urgency=low
307  
308   Due to a security fix, wikis that have the htmlscrubber enabled can no
309   longer use the meta plugin to insert html link and meta tags.
310
311   Some special case methods have been added for safely including stylesheets,
312   and for doing openid delegation. See the meta plugin docs for details.
313  
314  -- Joey Hess <joeyh@debian.org>  Wed, 21 Mar 2007 14:18:40 -0400
315
316 ikiwiki (1.45) unstable; urgency=low
317
318   Wikis need to be rebuilt on upgrade to this version. If you listed your wiki
319   in /etc/ikiwiki/wikilist this will be done automatically when the Debian
320   package is upgraded. Or use ikiwiki-mass-rebuild to force a rebuild.
321
322  -- Joey Hess <joeyh@debian.org>  Wed,  7 Mar 2007 23:02:52 -0500
323
324 ikiwiki (1.44) unstable; urgency=low
325
326   The htmllink() function has changed slightly and plugins that use it may
327   need to change how they call it. This function's first three parameters
328   are unchanged, but additional options are now passed using named
329   parameters. If you used htmllink with more than 3 parameters, you will
330   need to change it. The plugin interface version has been increased to 1.02
331   to reflect this change.
332
333  -- Joey Hess <joeyh@debian.org>  Mon, 19 Feb 2007 21:10:12 -0500
334
335 ikiwiki (1.42) unstable; urgency=low
336
337   The anonok setting in config files has been removed. To enable
338   httpauth support on your wiki, you should now enable the anonok plugin,
339   instead.
340
341   Third-party plugins that use pagespec_match() should be updated to pass
342   the new third parameter (from) to that function. This is needed for the
343   new relative glob matching to work.
344
345  -- Joey Hess <joeyh@debian.org>  Thu,  1 Feb 2007 16:57:59 -0500
346
347 ikiwiki (1.34) unstable; urgency=low
348
349   The httpauth setting in config files has been removed. To enable
350   httpauth support on your wiki, you should now enable the httpauth plugin,
351   instead.
352
353   This release includes OpenID support that is enabled through the openid
354   plugin. I recommend turning this on to make it easier for users to sign
355   in to your wiki.
356
357  -- Joey Hess <joeyh@debian.org>  Sun, 19 Nov 2006 20:53:05 -0500
358
359 ikiwiki (1.32) unstable; urgency=low
360
361   There is a change to the plugin interface in this version. Any plugins that
362   modify data in %links should pass scan => 1 when registering the hook that
363   does so.
364
365  -- Joey Hess <joeyh@debian.org>  Sat, 28 Oct 2006 00:13:12 -0400
366
367 ikiwiki (1.29) unstable; urgency=low
368
369   Wikis need to be rebuilt on upgrade to this version. If you listed your wiki
370   in /etc/ikiwiki/wikilist this will be done automatically when the Debian
371   package is upgraded. Or use ikiwiki-mass-rebuild to force a rebuild.
372
373   There is a change to the plugin interface in this version. Plugins that use
374   %renderedfiles will need to be updated, as the hash's values are now arrays
375   of rendered files. Plugins that cause a page to render additional files
376   should use the new will_render function to register the files.
377
378  -- Joey Hess <joeyh@debian.org>  Sun,  8 Oct 2006 17:27:56 -0400
379
380 ikiwiki (1.22) unstable; urgency=low
381   
382   Due to some changes in the CSS, wikis should be rebuilt on upgrade to this
383   version. If you listed your wiki in /etc/ikiwiki/wikilist this will be done
384   automatically when the Debian package is upgraded. Or use ikiwiki-mass-rebuild
385   to force a rebuild.
386
387   If you have modified versions of ikiwiki's html templates, you will need
388   to update your templates to link to the stylesheet file using
389   "<TMPL_VAR BASEURL>style.css" instead of the old method which used
390   STYLEURL.
391
392   There have also been some changes to the plugin interface:
393   Any plugins that use santize, htmlize, or format hooks will need to be
394   updated for this version of ikiwiki since these hooks have been changed
395   to use named parameters.
396
397  -- Joey Hess <joeyh@debian.org>  Tue, 22 Aug 2006 15:33:12 -0400
398
399 ikiwiki (1.13) unstable; urgency=low
400
401   The GlobList format which was used for specifiying sets of pages, has been
402   replaced with a new, more expressive PageSpec format. While GlobLists will
403   continue to work, that format is deprecated, and you are encouraged to use
404   PageSpecs from now on, and also to change any GlobLists in your wiki to
405   PageSpecs. See the new PageSpec page for details.
406   
407   You will need to rebuild your wiki when upgrading to this version. If you
408   listed your wiki in /etc/ikiwiki/wikilist this will be done automatically
409   when the Debian package is upgraded. Or use ikiiki-mass-rebuild to force a
410   rebuild.
411
412  -- Joey Hess <joeyh@debian.org>  Tue,  1 Aug 2006 18:29:51 -0400
413
414 ikiwiki (1.11) unstable; urgency=low
415
416   Some changes to tags in this release, due to a new tag plugin. If you have
417   been using the meta plugin to tag pages, you'll want to enable the tag
418   plugin too, and change things like this:
419
420   [[meta link="foobar"]]
421
422   To this:
423
424   [[tag foobar]]
425
426   The new tags will appear at page footers, and are also easier to type.
427
428   There have also been some changes to the plugin interface, particularly the
429   interface of pagetemplate hooks has changed. See the changelog for details.
430
431  -- Joey Hess <joeyh@debian.org>  Thu, 27 Jul 2006 17:03:09 -0400
432
433 ikiwiki (1.8) unstable; urgency=low
434
435   If your wiki is configured with a setup file, you should modify it to
436   stop setting the "plugin" list directly, and instead add or remove plugins
437   via the add_plugins and disable_plugins lines. For example, if you had:
438
439         plugin => [qw{inline smiley search}],
440
441   Change it to these lines, which disables the default htmlscrubber plugin
442   and adds the two additional plugins:
443
444         add_plugins => [qw{smiley search}],
445         disable_plugins => [qw{htmlscrubber}],
446
447   Making this change makes your ikiwiki setup file more future-proof since
448   new default plugins will be automatically used.
449   
450   You will need to rebuild your ikiwiki wrappers when upgrading to this
451   version. If you listed your wiki in /etc/ikiwiki/wikilist this will be
452   done automatically when the Debian package is upgraded. Or use
453   ikiiki-mass-rebuild --refresh to force a refresh.
454
455  -- Joey Hess <joeyh@debian.org>  Mon,  3 Jul 2006 16:59:29 -0400
456
457 ikiwiki (1.1) unstable; urgency=low
458
459   There have been several configuration changes in this release of ikiwiki:
460
461   The --svn and --no-svn switches are removed, instead you should use
462    --rcs=svn or --no-rcs. ikiwiki setup files that set svn => 1 should
463   be changed to set rcs => "svn"; if your setup file sets svn => 0
464   then change it to use rcs => "" to disable svn.
465
466   The --hyperestraier switch is gone too. To enable searching, turn on the
467   search plugin, by passing --plugin=search or through the plugin setting in
468   the setup file.
469
470   The --sanitize and --no-sanitize switches are also gone, replaced with the
471   htmlscrubber plugin. This plugin is enabled by default, to disable it,
472   use --disable-plugin=htmlscrubber, or modify the plugin setting in the
473   setup file.
474
475   Discussion pages are enabled by default, but if your wiki is configured
476   with a setup file, you need to edit it to keep them enabled on upgrade
477   to this version. Add a line reading:
478   discussion => 1,
479
480   You will need to rebuild your wiki when upgrading to this version.
481   If you listed your wiki in /etc/ikiwiki/wikilist this will be done
482   automatically when the Debian package is upgraded. Or use
483   ikiiki-mass-rebuild to force a rebuild.
484
485  -- Joey Hess <joeyh@debian.org>  Tue,  2 May 2006 14:13:59 -0400